Activate card

Call this endpoint to assign and activate the card to an account.

Also, you can activate several cards for the same account in case o enterprise users creation.
This endpoint supports two modes of operation:

  1. If customer_id is provided in the request body, it will associate the new card with the existing customer.
  2. If card_id is provided, this will be used to activate the card to the respective customer_id provided.

Note: reference_batch and card_identifier become optional.

Accounts with a Composite Balance can also use this endpoint to register and activate their accounts.
You can learn more about these accounts here: Composite Balance

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Example 1: Only customer_id provided

{
    "customer_id": "12345678",
    "card_identifier": "CARD-001",
    "reference_batch": "7e4b85e27c4610824900af48f340394d"
}

Example 2: When card_id is provided

{
    "card_id": "519"
}

Example 3: When using Composite Balance (only for Credit Engine).

Just in case of a Composite Balance, a param balance is required. It will be an object with the id of the balance:

{
    "pin": "1234",
    "card_identifier": "CARD001",
    "reference_batch": "7e4b85e27c4610824900af48f340394d",
    "device_id": "2fc54683d5fad405360419f720457ccbcf9bacac414f6296f846e2e4fad99d47",
    "customer_id": "85",
    "balance": {
        "id": 10249
    }
}
string
length ≤ 13

The same card_identifier string that was originally sent to the bulkOrderCard endpoint.

int64
≥ 1

The same id that is returned from this endpoint.
If present, the customer is assumed to have already been created
Either 'customer' or 'customer_id' must be provided (but not both are required).

int64
≥ 1

Is the internal card id to activate.
If present only the customer_id must be provided not customer object.
Reference_batch and card_identifier are optional.

string
length ≤ 4
^[0-9]{4}$

Last four digits of the card used for verification before activation. Must be a 4-character numeric string (0–9). If provided, it must match the card being activated; otherwise, the request is rejected.

string
length ≤ 4
^[0-9]{4}$

The card’s Personal Identification Number (PIN). Must be exactly 4 numerical characters in length. If PIN is present in the request, the change pin functionality will be executed, and it'll be the new PIN.

string
length ≤ 32

The same identifier for the batch that was returned from the bulkOrderCard endpoint

balance
object

This object is required only in case of Composite Balance.

Headers
string
required

OAuth token belonging to the e-commerce

Responses

{
    "endpoint": "debit/v1/activateCardForCustomer",
    "error": {},
    "payload": {
        "card_id": "card_987654321",
        "customer_id": "12345678",
        "customer_private_key": "sk_ad67984acba263607ebc88be36afc3tee",
        "customer_refresh_token": "b74d97049a4a50011dc115e9e83305fs4g",
        "reference_card": "omPRbsVueBXAa3WbJfewr3",
        "status_card": "1",
        "text": "Success",
        "timestamp": "2024-11-15T14:32:18.123Z",
    },
}

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*